db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kristian Waagan (JIRA)" <j...@apache.org>
Subject [jira] Updated: (DERBY-4267) Investigate why Derby 10.5.1.1 is not available in the maven2 repositories
Date Mon, 06 Jul 2009 14:32:15 GMT

     [ https://issues.apache.org/jira/browse/DERBY-4267?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kristian Waagan updated DERBY-4267:
-----------------------------------

    Attachment: maven2.zip

I'm attaching a preview patch for adding Maven 2 support. It isn't done, but it's a start.
Before I continue, I'd appreciate some early comments on the questions below. Shortly I'll
create a new Jira to track the addition of M2 support.

a) Do the metadata values look reasonable?
   (i.e. mailing lists, descriptions, titles etc)
b) Do we want to keep the M1 stuff around?
c) Where do we put the new files?
   (the existing build files are in trunk/maven)
d) I have defined a dependency between derbynet and derby. Are there more dependencies we
should add?
e) Do we want to publish derbyTesting?
f) When publishing a new release, should we update the SubVersion repos URL to be the branch
instead of trunk?

Known remaining tasks:
 - Add artifacts for the localizations.
 - Update the documentation (build/snapshot process)
(- What have I forgotten?)

To test the POMs, download Maven 2, extract the attached zip file to the Derby workspace,
 go to 'maven2',  and type 'mvn install'.
This should leave some files around in various 'target'-directories and also files in your
local Maven repository (~/.m2/repository on *nix).

If you have other questions or comments, go ahead and post them so that we can address them.


Thanks,

> Investigate why Derby 10.5.1.1 is not available in the maven2 repositories
> --------------------------------------------------------------------------
>
>                 Key: DERBY-4267
>                 URL: https://issues.apache.org/jira/browse/DERBY-4267
>             Project: Derby
>          Issue Type: Task
>          Components: Build tools
>    Affects Versions: 10.5.1.1, 10.6.0.0
>            Reporter: H.-Dirk Schmitt
>         Attachments: maven2.zip
>
>
> Only 10.4.2.0 and older are available in the maven 2 repositories.
> May you please also provide the new version.
> Please see also https://issues.apache.org/jira/browse/DERBY-4220

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message